/*
 * Bootstrap Documentation
 * Special styles for presenting Bootstrap's documentation and code examples.
 *
 * Table of contents:
 *
 * Scaffolding
 * Main navigation
 * Footer
 * Social buttons
 * Homepage
 * Page headers
 * Old docs callout
 * Ads
 * Side navigation
 * Docs sections
 * Callouts
 * Grid styles
 * Examples
 * Code snippets (highlight)
 * Responsive tests
 * Glyphicons
 * Customizer
 * Miscellaneous
*/


/*
 * Scaffolding
 *
 * Update the basics of our documents to prep for docs content.
*/

body {
    position: relative; /* For scrollyspy */
    padding-top: 50px; /* Account for fixed navbar */
}

/* Keep code small in tables on account of limited space */
.table code {
    font-size: 13px;
    font-weight: normal;
}

/* Outline button for use within the docs */
.btn-outline {
    color: #563d7c;
    background-color: #fff;
    border-color: #e5e5e5;
}
.btn-outline:hover,
.btn-outline:focus,
.btn-outline:active {
    color: #fff;
    background-color: #563d7c;
    border-color: #563d7c;
}

/* Inverted outline button (white on dark) */
.btn-outline-inverse {
    color: #fff;
    background-color: transparent;
    border-color: #cdbfe3;
}
.btn-outline-inverse:hover,
.btn-outline-inverse:focus,
.btn-outline-inverse:active {
    color: #563d7c;
    text-shadow: none;
    background-color: #fff;
    border-color: #fff;
}


/*
 * Main navigation
 *
 * Turn the `.navbar` at the top of the docs purple.
*/

.bs-docs-nav {
    text-shadow: 0 -1px 0 rgba(0,0,0,.15);
    background-color: #563d7c;
    border-color: #463265;
    box-shadow: 0 1px 0 rgba(255,255,255,.1);
}
.bs-docs-nav .navbar-collapse {
    border-color: #463265;
}
.bs-docs-nav .navbar-brand {
    color: #fff;
}
.bs-docs-nav .navbar-nav > li > a {
    color: #cdbfe3;
}
.bs-docs-nav .navbar-nav > li > a:hover {
    color: #fff;
}
.bs-docs-nav .navbar-nav > .active > a,
.bs-docs-nav .navbar-nav > .active > a:hover {
    color: #fff;
    background-color: #463265;
}
.bs-docs-nav .navbar-toggle {
    border-color: #563d7c;
}
.bs-docs-nav .navbar-toggle:hover {
    background-color: #463265;
    border-color: #463265;
}


/*
 * Footer
 *
 * Separated section of content at the bottom of all pages, save the homepage.
*/

.bs-footer {
    padding-top: 40px;
    padding-bottom: 30px;
    margin-top: 100px;
    color: #777;
    text-align: center;
    border-top: 1px solid #e5e5e5;
}
.footer-links {
    margin: 10px 0;
    padding-left: 0;
}
.footer-links li {
    display: inline;
    padding: 0 2px;
}
.footer-links li:first-child {
    padding-left: 0;
}

@media (min-width: 768px) {
    .bs-footer {
        text-align: left;
    }
    .bs-footer p {
        margin-bottom: 0;
    }
}


/*
 * Social buttons
 *
 * Twitter and GitHub social action buttons (for homepage and footer).
*/

.bs-social {
    margin-top: 20px;
    margin-bottom: 20px;
    text-align: center;
}
.bs-social-buttons {
    display: inline-block;
    margin-bottom: 0;
    padding-left: 0;
    list-style: none;
}
.bs-social-buttons li {
    display: inline-block;
    line-height: 1;
    padding: 5px 8px;
}
.bs-social-buttons .twitter-follow-button {
    width: 225px !important;
}
.bs-social-buttons .twitter-share-button {
    width: 98px !important;
}
/* Style the GitHub buttons via CSS instead of inline attributes */
.github-btn {
    border: 0;
    overflow: hidden;
}

@media screen and (min-width: 768px) {
    .bs-social {
        text-align: left;
    }
    .bs-social-buttons li:first-child {
        padding-left: 0;
    }
}


/*
 * Topography, yo!
 *
 * Apply the map background via base64 and relevant colors where we need 'em.
*/

.bs-docs-home,
.bs-header {
    color: #fff;
    background: #000220; /* Old browsers */
    background: -moz-linear-gradient(45deg,  #000220 0%, #   100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left bottom, right top, color-stop(0%,#000220), color-stop(100%,#33839d)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(45deg,  #000220 0%,#33839d 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(45deg,  #000220 0%,#33839d 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(45deg,  #000220 0%,#33839d 100%); /* IE10+ */
    background: linear-gradient(45deg,  #000220 0%,#33839d 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#000220', endColorstr='#33839d',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
    -webkit-box-shadow: inset 0 3px 7px rgba(0,0,0,.2), inset 0 -3px 7px rgba(0,0,0,.2);
    -moz-box-shadow: inset 0 3px 7px rgba(0,0,0,.2), inset 0 -3px 7px rgba(0,0,0,.2);
    box-shadow: inset 0 3px 7px rgba(0,0,0,.2), inset 0 -3px 7px rgba(0,0,0,.2);


    background-repeat:no-repeat;
    background-size:cover;
    background-position: center center;
    
}


/*
 * Homepage
 *
 * Tweaks to the custom homepage and the masthead (main jumbotron).
*/

/* Masthead (headings and download button) */
.bs-masthead {
    position: relative;
    padding: 30px 15px;
    text-align: center;
    text-shadow: 0 1px 0 rgba(0,0,0,.15);
}
.bs-masthead h1 {
    font-size: 50px;
    line-height: 1;
    color: #fff;
}
.bs-masthead .btn-outline {
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 18px 24px;
    font-size: 21px;
}

/* Links to project-level content like the repo, Expo, etc */
.bs-masthead-links {
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 0 15px;
    list-style: none;
    text-align: center;
}
.bs-masthead-links li {
    display: inline;
}
.bs-masthead-links li + li {
    margin-left: 20px;
}
.bs-masthead-links a {
    color: #fff;
}

@media screen and (min-width: 768px) {
    .bs-masthead {
        text-align: left;
        padding-top:    140px;
        padding-bottom: 140px;
    }
    .bs-masthead h1 {
        font-size: 100px;
    }
    .bs-masthead .lead {
        margin-right: 25%;
        font-size: 30px;
    }
    .bs-masthead-links {
        padding: 0;
        text-align: left;
    }
}


/*
 * Page headers
 *
 * Jumbotron-esque headers at the top of every page that's not the homepage.
*/


/* Page headers */
.bs-header {
    padding: 30px 15px 20px; /* side padding builds on .container 15px, so 30px */
    font-size: 16px;
    text-align: center;
    text-shadow: 0 1px 0 rgba(0,0,0,.15);
}
.bs-header h1, .bs-header a {
    color: #fff;
}
.bs-header p {
    font-weight: 300;
    line-height: 1.5;
}
.bs-header .container {
    position: relative;
}

@media screen and (min-width: 768px) {
    .bs-header {
        font-size: 21px;
        text-align: left;
    }
    .bs-header h1 {
        font-size: 60px;
        line-height: 1;
    }
}

@media screen and (min-width: 992px) {
    .bs-header h1,
    .bs-header p {
        margin-right: 380px;
    }
}


/*
 * Carbon ads
 *
 * Single display ad that shows on all pages (except homepage) in page headers.
 * The hella `!important` is required for any pre-set property.
*/

.carbonad {
    width: auto !important;
    margin: 50px -30px -40px !important;
    padding: 20px !important;
    overflow: hidden; /* clearfix */
    height: auto !important;
    font-size: 13px !important;
    line-height: 16px !important;
    text-align: left;
    background: #463265 !important;
    border: 0 !important;
    box-shadow: inset 0 3px 5px rgba(0,0,0,.075);
}
.carbonad-img {
    margin: 0 !important;
}
.carbonad-text,
.carbonad-tag {
    float: none !important;
    display: block !important;
    width: auto !important;
    height: auto !important;
    margin-left: 145px !important;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif !important;
}
.carbonad-text {
    padding-top: 0 !important;
}
.carbonad-tag {
    color: #cdbfe3 !important;
    text-align: left !important;
}
.carbonad-text a,
.carbonad-tag a {
    color: #fff !important;
}
.carbonad #azcarbon > img {
    display: none; /* hide what I assume are tracking images */
}

@media screen and (min-width: 768px) {
    .carbonad {
        margin: 0 !important;
        border-radius: 4px;
        box-shadow: inset 0 3px 5px rgba(0,0,0,.075), 0 1px 0 rgba(255,255,255,.1);
    }
}

@media screen and (min-width: 992px) {
    .carbonad {
        position: absolute;
        top: 0px;
        right: 0;
        padding: 15px !important;
        width: 330px !important;
        min-height: 132px;
    }
}


/*
 * Side navigation
 *
 * Scrollspy and affixed enhanced navigation to highlight sections and secondary
 * sections of docs content.
*/

/* By default it's not affixed in mobile views, so undo that */
.bs-sidebar.affix {
    position: static;
}

/* First level of nav */
.bs-sidenav {
    margin-top: 30px;
    margin-bottom: 30px;
    padding-top:    10px;
    padding-bottom: 10px;
    text-shadow: 0 1px 0 #fff;
  background-color: #f0f7ff;//AA #f7f5fa;
    border-radius: 5px;
}

/* All levels of nav */
.bs-sidebar .nav > li > a {
    display: block;
    color: #6b6a71; //AA #716b7a;
    padding: 5px 20px;
}
.bs-sidebar .nav > li > a:hover,
.bs-sidebar .nav > li > a:focus {
    text-decoration: none;
    background-color: #e3e5e9;//AA #e5e3e9;
    border-right: 1px solid #dbd8e0;
}
.bs-sidebar .nav > .active > a,
.bs-sidebar .nav > .active:hover > a,
.bs-sidebar .nav > .active:focus > a {
    font-weight: bold;
    color: #3d567c;//AA #563d7c;
    background-color: transparent;
    border-right: 1px solid #6b6a71;//AA#563d7c;
}

/* Nav: second level (shown on .active) */
.bs-sidebar .nav .nav {
    display: none; /* Hide by default, but at >768px, show it */
    margin-bottom: 8px;
}
.bs-sidebar .nav .nav > li > a {
    padding-top:    3px;
    padding-bottom: 3px;
    padding-left: 30px;
    font-size: 90%;
}

/* Show and affix the side nav when space allows it */
@media screen and (min-width: 992px) {
    .bs-sidebar .nav > .active > ul {
        display: block;
    }
    /* Widen the fixed sidebar */
    .bs-sidebar.affix,
    .bs-sidebar.affix-bottom {
        width: 213px;
    }
    .bs-sidebar.affix {
        position: fixed; /* Undo the static from mobile first approach */
        top: 80px;
    }
    .bs-sidebar.affix-bottom {
        position: absolute; /* Undo the static from mobile first approach */
    }
    .bs-sidebar.affix-bottom .bs-sidenav,
    .bs-sidebar.affix .bs-sidenav {
        margin-top: 0;
        margin-bottom: 0;
    }
}
@media screen and (min-width: 1200px) {
    /* Widen the fixed sidebar again */
    .bs-sidebar.affix-bottom,
    .bs-sidebar.affix {
        width: 263px;
    }
}


/*
 * Docs sections
 *
 * Content blocks for each component or feature.
*/

/* Space things out */
.bs-docs-section + .bs-docs-section {
    padding-top: 40px;
}

/* Janky fix for preventing navbar from overlapping */
h1[id] {
    padding-top: 80px;
    margin-top: -45px;
}


/*
 * Callouts
 *
 * Not quite alerts, but custom and helpful notes for folks reading the docs.
 * Requires a base and modifier class.
*/

/* Common styles for all types */
.bs-callout {
    margin: 20px 0;
    padding: 15px 30px 15px 15px;
    border-left: 5px solid #eee;
}
.bs-callout h4 {
    margin-top: 0;
}
.bs-callout p:last-child {
    margin-bottom: 0;
}
.bs-callout code,
.bs-callout .highlight {
    background-color: #fff;
}

/* Variations */
.bs-callout-danger {
    background-color: #fcf2f2;
    border-color: #dFb5b4;
}
.bs-callout-warning {
    background-color: #fefbed;
    border-color: #f1e7bc;
}
.bs-callout-info {
    background-color: #f0f7fd;
    border-color: #d0e3f0;
}


/*
 * Grid examples
 *
 * Highlight the grid columns within the docs so folks can see their padding,
 * alignment, sizing, etc.
*/

.show-grid {
    margin-bottom: 15px;
}
.show-grid [class^="col-"] {
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: #eee;
    border: 1px solid #ddd;
    background-color: rgba(86,61,124,.15);
    border: 1px solid rgba(86,61,124,.2);
}

/*
 * Code snippets
 *
 * Generated via Pygments and Jekyll, these are snippets of HTML, CSS, and JS.
*/

.highlight {
    display: none; /* hidden by default, until >480px */
    padding: 9px 14px;
    margin-bottom: 14px;
    background-color: #f7f7f9;
    border: 1px solid #e1e1e8;
    border-radius: 4px;
}
.highlight pre {
    padding: 0;
    margin-top: 0;
    margin-bottom: 0;
    background-color: transparent;
    border: 0;
    white-space: nowrap;
}
.highlight pre code {
    font-size: inherit;
    color: #333; /* Effectively the base text color */
}
.highlight pre .lineno {
    display: inline-block;
    width: 22px;
    padding-right: 5px;
    margin-right: 10px;
    text-align: right;
    color: #bebec5;
}

/* Show code snippets when we have the space */
@media screen and (min-width: 481px) {
    .highlight {
        display: block;
    }
}